Skip to main content
GET
/
v1
/
projects
/
{project_identifier}
/
session_annotations
Get session annotations filtered by session_ids and/or identifier.
curl --request GET \
  --url https://api.example.com/v1/projects/{project_identifier}/session_annotations
{
  "data": [
    {
      "id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "source": "API",
      "user_id": "<string>",
      "name": "<string>",
      "annotator_kind": "LLM",
      "session_id": "<string>",
      "result": {
        "label": "<string>",
        "score": 123,
        "explanation": "<string>"
      },
      "metadata": {},
      "identifier": ""
    }
  ],
  "next_cursor": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://arizeai-433a7140.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

project_identifier
string
required

The project identifier: either project ID or project name. If using a project name as the identifier, it cannot contain slash (/), question mark (?), or pound sign (#) characters.

Query Parameters

session_ids
string[] | null

Optional list of session ids to fetch annotations for. If omitted, identifier must be supplied.

identifier
string[] | null

Optional list of annotation identifiers to filter by. Each value must be non-empty. If omitted, session_ids must be supplied. When combined with session_ids, results are the AND-intersection of both filters.

Minimum string length: 1
include_annotation_names
string[] | null

Optional list of annotation names to include. If provided, only annotations with these names will be returned. 'note' annotations are excluded by default unless explicitly included in this list.

exclude_annotation_names
string[] | null

Optional list of annotation names to exclude from results.

cursor
string | null

A cursor for pagination

limit
integer
default:10

The maximum number of annotations to return in a single request

Required range: x <= 10000

Response

Successful Response

data
SessionAnnotation · object[]
required
next_cursor
string | null
required